# Restore subscription

By using this method, merchants can <a href="https://docs.solidgate.com/billing/subscriptions/subscriptions-1.0/manage-subscription/restore-subscription/" target="_blank">restore</a> the specific subscription of their customer in case it was cancelled.

Endpoint: POST /subscription/restore
Version: 1.0.0
Security: MerchantID

## Header parameters:

  - `merchant` (string, required)

  - `signature` (string, required)

## Request fields (application/json):

  - `subscription_id` (string, required)
    Unique subscription identifier.
    Example: 83b19018-cbc4-45f0-899a-dda84fd2705e

  - `expired_at` (string)
    Datetime of the subscription expiration.
Dates in the past are automatically updated to the current date to prevent unwanted charges.
    Example: 2025-12-25 00:00:00

  - `coupon_id` (string)
    Unique coupon identifier.
Pass either coupon_id or coupon_code, not both.
    Example: 379bd8d9-7f2a-44eb-be35-b741985e1b08

  - `coupon_code` (string)
    Coupon code.
Pass either coupon_id or coupon_code, not both.
    Example: PRIME50

## Response 200 fields (application/json):

  - `status` (string)
    Subscription has been restored.
    Example: ok

  - `error` (object)
    Error object.

  - `error.code` (string, required)
    Error code that identifies the validation failure.
This code is returned when the input data does not meet the expected criteria.
    Enum: "2.01"

## Response 400 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code.
    Example: 2.01

  - `error.message` (string, required)
    Error message.
    Example: Validation error

## Response 401 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code indicating the specific authorization failure.
    Example: 1.01

  - `error.message` (string, required)
    Descriptive message providing more details about the authorization failure.
    Example: Authorization failed

## Response 403 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code indicating that access to the service is denied.
    Example: 1.02

  - `error.message` (string, required)
    Message informing that the service is not allowed for the account.
    Example: Access denied

## Response 404 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code.
    Example: 2.01

  - `error.message` (string, required)
    Error message.
    Example: {entityName} not found with id: {entityId}

